<template>
  <ui-loading label="Loading, please wait!" :steps="steps" lg />
</template>

<script lang="ts" setup>
import { LoadingStepStatus } from '@/enums'

const steps = [
  { label: 'Fetching episodes', status: LoadingStepStatus.Done },
  { label: 'Determining latest valid episode', status: LoadingStepStatus.Done },
  { label: 'Fetching form states', status: LoadingStepStatus.Running },
  {
    label: 'Merging episode forms with Journey forms',
    status: LoadingStepStatus.Pending,
  },
  { label: 'Removing completed forms', status: LoadingStepStatus.Pending },
]
</script>
